Package org.apache.torque.templates

# Enum Class TorqueSchemaElementName

java.lang.Object
java.lang.Enum<TorqueSchemaElementName>
org.apache.torque.templates.TorqueSchemaElementName

All Implemented Interfaces:
  `Serializable`, `Comparable<TorqueSchemaElementName>`, `Constable`, `SourceElementName`

public enum TorqueSchemaElementName extends Enum<TorqueSchemaElementName> implements SourceElementName
Contains all element names from the Torque schema. $Id: TorqueSchemaElementName.java 1917240 2024-04-21 13:22:54Z tv $

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `COLUMN`
  element column.
  `DATABASE`
  element database.
  `DOMAIN`
  element domain.
  `ENUM_VALUE`
  element enum-value.
  `EXTERNAL_SCHEMA`
  element external-schema
  `FOREIGN_KEY`
  element foreign-key.
  `ID_METHOD_PARAMETER`
  element id-method-param.
  `INCLUDE_SCHEMA`
  element include-schema
  `INDEX`
  element index.
  `INDEX_COLUMN`
  element index-column.
  `INHERITANCE`
  element inheritance.
  `REFERENCE`
  element reference.
  `TABLE`
  element table.
  `UNIQUE`
  element unique.
  `UNIQUE_COLUMN`
  element unique-column.
  `VIEW`
  element view.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getName()`
  Returns the name of the element.
  `String`
  `toString()`
  `static TorqueSchemaElementName`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static TorqueSchemaElementName[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### DATABASE

    public static final TorqueSchemaElementName DATABASE
    element database.

  - ### INCLUDE_SCHEMA

    public static final TorqueSchemaElementName INCLUDE_SCHEMA
    element include-schema

  - ### EXTERNAL_SCHEMA

    public static final TorqueSchemaElementName EXTERNAL_SCHEMA
    element external-schema

  - ### DOMAIN

    public static final TorqueSchemaElementName DOMAIN
    element domain.

  - ### TABLE

    public static final TorqueSchemaElementName TABLE
    element table.

  - ### VIEW

    public static final TorqueSchemaElementName VIEW
    element view.

  - ### COLUMN

    public static final TorqueSchemaElementName COLUMN
    element column.

  - ### FOREIGN_KEY

    public static final TorqueSchemaElementName FOREIGN_KEY
    element foreign-key.

  - ### REFERENCE

    public static final TorqueSchemaElementName REFERENCE
    element reference.

  - ### INHERITANCE

    public static final TorqueSchemaElementName INHERITANCE
    element inheritance.

  - ### ID_METHOD_PARAMETER

    public static final TorqueSchemaElementName ID_METHOD_PARAMETER
    element id-method-param.

  - ### UNIQUE

    public static final TorqueSchemaElementName UNIQUE
    element unique.

  - ### UNIQUE_COLUMN

    public static final TorqueSchemaElementName UNIQUE_COLUMN
    element unique-column.

  - ### INDEX

    public static final TorqueSchemaElementName INDEX
    element index.

  - ### INDEX_COLUMN

    public static final TorqueSchemaElementName INDEX_COLUMN
    element index-column.

  - ### ENUM_VALUE

    public static final TorqueSchemaElementName ENUM_VALUE
    element enum-value.

- ## Method Details

  - ### values

    public static TorqueSchemaElementName[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static TorqueSchemaElementName valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getName

    public String getName()
    Returns the name of the element.
    Specified by:
      `getName` in interface `SourceElementName`
    Returns:
      the name of the element, not null.

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Enum<TorqueSchemaElementName>`